RTF_IPC_CREATE(2)

NAME
rtf_ipc_create - create a real-time fifo

SYNOPSIS
#define MODULE
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/version.h>
#include <linux/errno.h>
#include <linux/rtf.h>
#include rt_ipc.h

int rtf_ipc_create(unsigned int fifo, int size, int rtl_to_linux);

DESCRIPTION
rtf_ipc_create creates a real-time fifo (RT-FIFO) of size size and assigns it the identifier fifo. fifo is a value unique within the system, and must be less than IPC_RTF_NO. If rtl_to_linux is 1, the fifo is used for transferring data from RT-Linux tasks to a Linux process. If rtl_to_linux is 0, the fifo is used for transferring data from a Linux process to one or more RT-Linux tasks.

The rt_ipc RT-FIFO is a mechanism, implemented as a character device, to communicate between real-time tasks and ordinary Linux processes. It is based on the Real-Time Linux RT-FIFO mechanism. The rtf_* functions are used by the real-time tasks; Linux processes use standard character device access functions such as read(2), write(2), and select(2).

RETURN VALUE
On success, 0 is returned. On failure, a negative value is returned as described below.

ERRORS

-ENODEV
    fifo is not less than IPC_RTF_NO and RTF_NO.

-EBUSY
    fifo is already in use. Choose a different ID.

-ENOMEM
    size bytes could not be allocated for the RT-FIFO.

AUTHOR
Jerry Epplin <JerryEpplin@worldnet.att.net>

SEE ALSO
rtf_ipc_destroy(2), rtf_receive(2), rtf_send(2)